Get Result
curl --request GET \
--url http://127.0.0.1:3333/v3/bots/{botId}/results/{resultId} \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/bots/{botId}/results/{resultId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/bots/{botId}/results/{resultId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"result": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"botId": "<string>",
"variables": [
{
"id": "<string>",
"name": "<string>",
"value": "<string>",
"isSessionVariable": true
}
],
"isCompleted": true,
"hasStarted": true,
"isArchived": true,
"lastChatSessionId": "<string>",
"answers": [
{
"blockId": "<string>",
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"groupId": "<string>",
"variableId": "<string>",
"attachedFileUrls": [
"<string>"
]
}
]
}
}{
"error": "<string>",
"message": "<string>"
}Results
Get Result
Get a specific result.
GET
/
v3
/
bots
/
{botId}
/
results
/
{resultId}
Get Result
curl --request GET \
--url http://127.0.0.1:3333/v3/bots/{botId}/results/{resultId} \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/bots/{botId}/results/{resultId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/bots/{botId}/results/{resultId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"result": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"botId": "<string>",
"variables": [
{
"id": "<string>",
"name": "<string>",
"value": "<string>",
"isSessionVariable": true
}
],
"isCompleted": true,
"hasStarted": true,
"isArchived": true,
"lastChatSessionId": "<string>",
"answers": [
{
"blockId": "<string>",
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"groupId": "<string>",
"variableId": "<string>",
"attachedFileUrls": [
"<string>"
]
}
]
}
}{
"error": "<string>",
"message": "<string>"
}⌘I